ACPICPU(4)

NAME
acpicpu - ACPI processor power and performance state

SYNOPSIS
acpicpu* at acpi?

DESCRIPTION
The acpicpu driver provides support for extracting processor power and performance levels from ACPI tables. This information is used to enter deeper CPU power states when idle, and can be used to throttle processor speed to reduce power usage and extend battery life through the hw.setperf sysctl(2) mechanism.

acpicpu reports the C-states offered by ACPI using the format
    C%d(%d@%d %s.%x@%#x)
where the respective fields are the ACPI state, the reported power consumption, the reported latency, the method, the flags on the method, and the address for the method. Inapplicable or unspecified fields are elided. If the state won't be used for any reason then the entry will have a ‘’! prefix. If the state is the fallback state used when no valid C-state entries were found then flags will be a ‘’!. For the mwait method the address is the hints value for the instruction.

SEE ALSO
sysctl(2), acpi(4), cpu(4), intro(4), apmd(8), sysctl(8)

HISTORY
The acpicpu driver first appeared in OpenBSD 3.9.

AUTHORS
-nosplit The acpicpu driver was written by Marco Peereboom <marco@openbsd.org>. CPU power state (C-state) support was added by Philip Guenther <guenther@openbsd.org>.